%global pkgname Flask-XML-RPC
%global modname Flask_XML_RPC

Name:               python-flask-xml-rpc
Version:            0.1.2
Release:    1%{?dist}
Summary:            Adds support for creating XML-RPC APIs to Flask

License:            MIT
URL:                http://pypi.python.org/pypi/Flask-XML-RPC
Source0:            http://pypi.python.org/packages/source/F/%{pkgname}/%{pkgname}-%{version}.tar.gz
Patch1:             https://bitbucket.org/ppjet6/flask-xml-rpc/commits/9da0e2bcfe5e32a1db95b639f41f67d3e1a43b80/raw/#/python3-compat.patch

BuildArch:          noarch

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-flask
BuildRequires:      python3-nose

%global _description \
Flask-XML-RPC adds XML-RPC support to Flask.                            \
This way, you can provide simple APIs easily accessible from almost any \
programming language.                                                   \
                                                                        \
documentation:                                                          \
  http://packages.python.org/Flask-XML-RPC                              \
development version:                                                    \
  http://bitbucket.org/leafstorm/flask-xml-rpc/get/tip.gz#egg=Flask-XML-RPC-dev

%description %_description

%package -n python3-flask-xml-rpc
Summary:            %{summary}
Requires:           python3-flask

%description -n python3-flask-xml-rpc %_description

%prep
%autosetup -n %{pkgname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-flask-xml-rpc
%doc README
%{python3_sitelib}/flaskext/
%{python3_sitelib}/%{modname}-%{version}*

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.2-1
- initial build
